JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const accountTaxLines = await conductor.qbd.accountTaxLines.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(accountTaxLines.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
account_tax_lines = conductor.qbd.account_tax_lines.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(account_tax_lines.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/account-tax-lines \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/account-tax-lines",
"data": [
{
"taxLineId": 123,
"taxLineName": "State Sales Tax"
}
]
}Account Tax Lines
List all account tax lines
Returns a list of account tax lines.
NOTE: QuickBooks Desktop does not support pagination for account tax lines; hence, there is no cursor parameter. Users typically have few account tax lines.
GET
/
quickbooks-desktop
/
account-tax-lines
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const accountTaxLines = await conductor.qbd.accountTaxLines.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(accountTaxLines.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
account_tax_lines = conductor.qbd.account_tax_lines.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(account_tax_lines.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
Example:
"end_usr_1234567abcdefg"
Response
200 - application/json
Returns a list of account tax lines.
The type of object. This value is always "list".
Allowed value:
"list"Example:
"list"
The endpoint URL where this list can be accessed.
Example:
"/v1/quickbooks-desktop/account-tax-lines"
The array of account tax lines.
Show child attributes
Show child attributes

